// Playground - noun: a place where people can play

import UIKit

enum Planets: Int  {
    case Mercury = 1
    case Venus
    case Earth
    case Mars
    case Jupiter
    case Saturn
    case Uranus
    case Neptune
}
print("Ziemia to planeta numer " + String(Planets.Earth.rawValue))

enum Product {
    case Book(Double, Int, Int)
    case Puzzle(Double, Int)
}

var masterSwift = Product.Book(49.99, 2017, 310)
var worldPuzzle = Product.Puzzle(9.99, 200)

switch masterSwift {
    case .Book(let price, let year, let pages):
        print("Książka Mastering Swift została opublikowana w \(year) roku, kosztowała \(price) i miała \(pages) stron.")
    case .Puzzle(let price, let pieces):
        print("Mastering Swift to puzzle o \(pieces) elementach w cenie \(price).")
}

switch worldPuzzle {
    case .Book(let price, let year, let pages):
        print("Książka World Puzzle została opublikowana w \(year) roku, kosztowała \(price) i miała \(pages) stron.")
    case .Puzzle(let price, let pieces):
        print("World Puzzle to puzzle o \(pieces) elementach w cenie \(price).")
}

